# Varbase Blog

Provides Blog post content type and related configuration.

Use Blog to publish a blog post by different authors in the Blog section of the site.

{% hint style="success" %}
[**Varbase Blog**](https://www.drupal.org/project/varbase_blog) serves as an exemplary model for understanding how to effectively manage various elements such as **Content types**, **View modes**, **Layout Libraries**, **Views**, **site section pages**, **categories**, and **tags** using the comprehensive range of ***`"assembled"`*** [**Varbase Components**](https://www.drupal.org/project/varbase_components), **modules**, and ***`"Starterkit/Recipes"`*** configs.
{% endhint %}

## Varbase Blog Module

{% hint style="info" %}
Varbase blog features are bundled through the **Varbase Blog** module.\
GitHub: <https://github.com/Vardot/varbase_blog>\
Drupal.org: <https://www.drupal.org/project/varbase_blog>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Blog** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_blog
```

Brings in the following core and contributed modules to your site:

| Module                                                                                | Purpose                                                                                             |
| ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [**View Modes Inventory - Bootstrap Ready**](https://www.drupal.org/project/vmi)      | This module has a set of template view modes that we typically use (some of them) in each website.  |
| [**Taxonomy menu**](https://www.drupal.org/project/taxonomy_menu)                     | Embed a taxonomy tree into a menu                                                                   |
| <p><strong>Statistics</strong></p><p><em>(in Drupal core)</em></p>                    | Logs content statistics for your site.                                                              |
| [**Length Indicator**](https://www.drupal.org/project/length_indicator)               | Adds an optional length indicator to fields                                                         |
| [**Advanced Text Formatter**](https://www.drupal.org/project/advanced_text_formatter) | Provides an additional formatter for text field, text area and text format.                         |
| [**Maxlength**](https://www.drupal.org/project/maxlength)                             | Limit the number of characters in textfields and textareas and shows the amount of characters left. |

## Required Varbase Modules

This module needs the following Varbase modules in order to function.

### Varbase Core Module

Provides core components required by other features.

{% content-ref url="/pages/-MePOj8vd3dmaf1gO6ZU" %}
[Varbase Core](/10.1.x/developers/understanding-varbase/core-components/varbase-core.md)
{% endcontent-ref %}

###

### Varbase Media Module

Manages type of media contents and entity browsers in the site.

{% content-ref url="/pages/-MePkGsRz2V-jUTLLtNF" %}
[Varbase Media](/10.1.x/developers/understanding-varbase/core-components/varbase-media.md)
{% endcontent-ref %}

###

### Varbase SEO Module

Provide Search Engine Optimization (SEO) Core features and settings.

{% content-ref url="/pages/-MeQBuMZm4jbDxkk05Xr" %}
[Varbase SEO](/10.1.x/developers/understanding-varbase/core-components/varbase-seo.md)
{% endcontent-ref %}

###

### Varbase Layout Builder Module

Provides default configuration and enhancements to utilize Drupal core's Layout Builder.

{% content-ref url="/pages/-MePvDpwBUfiL1jb3eJ\_" %}
[Varbase Layout Builder](/10.1.x/developers/understanding-varbase/core-components/varbase-layout-builder.md)
{% endcontent-ref %}

###

### Varbase Landing Page (Layout Builder) Module

Provides Landing page (Layout Builder) content type and related configuration. Use Landing page (Layout Builder) to build pages with custom sections and layouts to display content in a modern way.

{% content-ref url="/pages/-MePzL6T8APTkka6Di07" %}
[Varbase Landing page (Layout Builder)](/10.1.x/developers/understanding-varbase/core-components/varbase-layout-builder/varbase-landing-page-layout-builder.md)
{% endcontent-ref %}

###

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/optional-components/varbase-blog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
